<?xml version="1.0" standalone="yes" ?>
<?xml-stylesheet href="x2script.xsl" type="text/xsl" ?>
<script>
<name>cmdcheck.plugin.streloc</name>
<version>1</version>
<engineversion>24</engineversion>
<description>STRELOC command upgrade checks</description>
<arguments>
<argument index="1" name="ship" type="Var/Ship" desc="ship" />
<argument index="2" name="upgrade" type="Value" desc="Upgrade 1 or ware" />
</arguments>
<sourcetext>
<line linenr="001" indent=""><comment><text>*&#160;</text><var></var></comment></line>
<line linenr="002" indent=""><comment><text>*&#160;</text><var>check&#160;if&#160;commands&#160;have&#160;necessary&#160;upgrades</var></comment></line>
<line linenr="003" indent=""><comment><text>*&#160;</text><var></var></comment></line>
<line linenr="004" indent=""><comment><text>*&#160;</text><var>author&#160;blackspell</var></comment></line>
<line linenr="005" indent=""><comment><text>*&#160;</text><var>email&#160;blackspell&#160;at&#160;gmx.com</var></comment></line>
<line linenr="006" indent=""><comment><text>*&#160;</text><var>last&#160;modified&#160;2004&#160;April,&#160;27</var></comment></line>
<line linenr="007" indent=""><comment><text>*&#160;</text><var></var></comment></line>
<line linenr="008" indent=""></line>
<line linenr="009" indent=""><comment><text>*&#160;</text><var>needs&#160;Special&#160;Command&#160;Software&#160;MK1</var></comment></line>
<line linenr="010" indent=""><var>skip&#160;if&#160;</var><var>$ship&#160;-&gt;</var><text>&#160;get&#160;true&#160;amount&#160;of&#160;ware&#160;</text><var>Special&#160;Command&#160;Software&#160;MK1</var><text>&#160;in&#160;cargo&#160;bay</text></line>
<line linenr="011" indent="&#160;"><text>return&#160;</text><var>2</var></line>
<line linenr="012" indent=""></line>
<line linenr="013" indent=""><text>return&#160;</text><var>1</var></line>
</sourcetext>
<codearray>
<sval type="array" size="10"><sval type="string" val="cmdcheck.plugin.streloc" /><sval type="int" val="24" /><sval type="string" val="STRELOC command upgrade checks" /><sval type="int" val="1" /><sval type="int" val="0" /><sval type="array" size="2"><sval type="string" val="ship" /><sval type="string" val="upgrade" /></sval><sval type="array" size="3"><sval type="array" size="6"><sval type="int" val="619" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="-536870393" /><sval type="int" val="9" /><sval type="int" val="1048634" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="4" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="4" /><sval type="int" val="1" /></sval></sval><sval type="array" size="2"><sval type="array" size="2"><sval type="int" val="21" /><sval type="string" val="ship" /></sval><sval type="array" size="2"><sval type="int" val="9" /><sval type="string" val="Upgrade 1 or ware" /></sval></sval><sval type="array" size="10"><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="check if commands have necessary upgrades" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="author blackspell" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="email blackspell at gmx.com" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="last modified 2004 April, 27" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="" /></sval><sval type="array" size="2"><sval type="int" val="0" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="needs Special Command Software MK1" /></sval><sval type="array" size="2"><sval type="int" val="2" /><sval type="int" val="2" /></sval></sval><sval type="int" val="0" /></sval>
</codearray>
</script>
